Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.jbi
Class OdeLifeCycle

    java.lang.Object
      org.apache.ode.jbi.OdeLifeCycle

All Implemented Interfaces:
  javax.jbi.component.ComponentLifeCycle

    public class OdeLifeCycle

extends java.lang.Object
implements javax.jbi.component.ComponentLifeCycle

This class implements ComponentLifeCycle. The JBI framework will start this engine class automatically when JBI framework starts up.

Constructor Summary
`OdeLifeCycle()`

Method Summary
`javax.management.ObjectName` | `getExtensionMBeanName()`
`void` | `init(javax.jbi.component.ComponentContext context)`
`void` | `shutDown()` Shutdown the service engine.
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OdeLifeCycle

    public OdeLifeCycle()

Method Detail

### getExtensionMBeanName

    public javax.management.ObjectName getExtensionMBeanName()

  Specified by:
    `getExtensionMBeanName` in interface `javax.jbi.component.ComponentLifeCycle`

### init

    public void init(javax.jbi.component.ComponentContext context)
              throws javax.jbi.JBIException

  Specified by:
    `init` in interface `javax.jbi.component.ComponentLifeCycle`
  Throws:
    `javax.jbi.JBIException`

### start

    public void start()
               throws javax.jbi.JBIException

  Specified by:
    `start` in interface `javax.jbi.component.ComponentLifeCycle`
  Throws:
    `javax.jbi.JBIException`

### stop

    public void stop()
              throws javax.jbi.JBIException

  Specified by:
    `stop` in interface `javax.jbi.component.ComponentLifeCycle`
  Throws:
    `javax.jbi.JBIException`

### shutDown

    public void shutDown()
                  throws javax.jbi.JBIException

  Shutdown the service engine. This performs cleanup before the BPE is terminated. Once this method has been called, init() must be called before the transformation engine can be started again with a call to start().

  Specified by:
    `shutDown` in interface `javax.jbi.component.ComponentLifeCycle`
  Throws:
    `javax.jbi.JBIException` - if the transformation engine is unable to shut down.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD